#include<stdio.h>
main()
{
	int N,Q,d,p,k,j,i;
	int pak,poj,pd;
	scanf("%d %d",&N,&Q);
	for(i=1;i<=N;i++)
	{
		scanf("\n%d %d",&d,&p);
		pak=pak+p;
		pd=d;
	}
	for(j=0;j<Q;j++)
	{		
		scanf("%d",&k);
	}
	if(k>=pd)
	poj=pd;
	else
	poj=k;
	printf("%d",poj);
}